
#include "LedPanel.h"
//#include <Adafruit_NeoPixel.h> 
#define MAX_INTENSITY  50


LedPanel panel(NUMPIXELS,PIN_PIXELS);

void setup() {
  Serial.begin(19200);
  while (!Serial) {
    // Wait for serial port to connect. Needed for native USB
    delay(100);
  }

  // Initialize NeoPixel library
  panel.beginPanel();
  
  Serial.println(F("LED Setup done"));  
}

void loop() {
  panel.topLeftQuadrant(20,0, 0);
  delay(1000);
  panel.resetPanel();
  panel.topRightQuadrant(0,20,0);
  delay(1000);
  panel.resetPanel();
  panel.bottomRightQuadrant(0,0,20); 
  delay(1000);
  panel.resetPanel();
  panel.bottomLeftQuadrant(10,0,10);  
  delay(1000);
  panel.resetPanel();
}
